import numpy as np
import matplotlib.pyplot as plt
import os


def plot_(sjyhwrd, t_end, results):

    fig_SR = plt.figure()

    # S
    y = sjyhwrd.S(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_SR, label='S')
    # R
    y = sjyhwrd.R(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_SR, label='R')
    plt.legend()
    plt.title('Susceptible (S) and recovered (R) individuals')
    plt.ylabel('Number of individuals')
    plt.xlabel('Time (days)')
    plt.savefig("sim_results_SR.png")
    fig_JY = plt.figure()

    # J
    y = sjyhwrd.J(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_JY, label='J')
    # Y
    y = sjyhwrd.Y(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_JY, label='Y')
    plt.legend()
    plt.title('Non critical (J) and critical (Y) infections')
    plt.ylabel('Number of individuals')
    plt.xlabel('Time (days)')
    plt.savefig("sim_results_JY.png")
    fig_HW = plt.figure()

    # H
    y = sjyhwrd.H(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_HW, label='H')
    # W
    y = sjyhwrd.W(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_HW, label='W')
    plt.title('Covid-19 hospitalizations in long-stay ICU (H) or outside ICU (W)')
    plt.legend()
    plt.ylabel('Number of individuals')
    plt.xlabel('Time (days)')
    plt.savefig("sim_results_HW.png")
    fig_D = plt.figure()
    # D
    y = sjyhwrd.D(results)
    y = y.sum(axis=1) if y.ndim > 1 else y
    plt.plot(np.arange(t_end + 1), y, figure=fig_D, label='D')
    plt.legend()
    plt.title('Number of deaths (D)')
    plt.ylabel('Number of individuals')
    plt.xlabel('Time (days)')
    plt.savefig("sim_results_D.png")

    return None