import numpy as np
import math


def weibull_cdf(x, k, lbd):
    return 1 - math.exp(-(x/lbd)**k)


def exp_cdf(x, lbd):
    return 1 - math.exp(-x*lbd)


def truncate(params, dist="Weibull"):
    if dist == "Weibull":
        cdf = weibull_cdf
    elif dist == "Exp":
        cdf = exp_cdf
    else :
        raise ValueError("Unknown distribution")
    F, i = 0., 0
    my_list = []
    while F<.99:
        i+=1
        F = cdf(i, *params)
        my_list.append(F)
    # Debug
    print("In truncate()")
    print(np.array(my_list).shape)
    return np.array(my_list)/my_list[-1]


def diff(array):
    array_bis = np.zeros(array.shape)
    array_bis[1:] = array[:-1]
    return array-array_bis


def conditioned(array):
    array_bis = np.zeros(array.shape)
    array_bis[1:] = array[:-1]
    return (array-array_bis)/(1.-array_bis)
