#!/bin/bash

zeta_weibull_k=$1
zeta_weibull_lbd=$2
r0=$3
eta_weibull_k=$4
eta_weibull_lbd=$5
rho_exp_lbd=$6
v_exp_lbd=$7
theta_0=$8
theta_1=$9
theta_2=${10}
psi_0=${11}
psi_1=${12}
psi_2=${13}
mu_0=${14}
mu_1=${15}
mu_2=${16}
J_0_0=${17}
Y_0_0=${18}
H_0_0=${19}
W_0_0=${20}
recovered_0=${21}
D_0=${22}
N_0_0=${23}
N_0_1=${24}
N_0_2=${25}
t_end=${26}
t_lockdown=${27}
lockdown_contact_factor=${28}
t_deconfinement=${29}
deconfinement_contact_factor=${30}

virtualenv=${31}

echo $virtualenv


# activate virtualenv
# (the requirements for the code have already been installed by the system)
if [ -d $virtualenv ]
then
    source $virtualenv/bin/activate

    execute.py $zeta_weibull_k $zeta_weibull_lbd \
                $r0 \
                $eta_weibull_k $eta_weibull_lbd \
                $rho_exp_lbd \
                $v_exp_lbd \
                $theta_0 $theta_1 $theta_2 \
                $psi_0 $psi_1 $psi_2 \
                $mu_0 $mu_1 $mu_2 \
                $J_0_0 $Y_0_0 $H_0_0 \
                $W_0_0 $recovered_0 $D_0 \
                $N_0_0 $N_0_1 $N_0_2 \
                $t_end $t_lockdown $lockdown_contact_factor \
                $t_deconfinement $deconfinement_contact_factor

fi

echo $J_0_0
